[package]
name = "squiid"
version = "1.2.2"
edition = "2021"
description = "Squiid is a modular calculator written in Rust. It is currently very early in development but it is intended to be the successor to ImaginaryInfinity Calculator"
repository = "https://gitlab.com/ImaginaryInfinity/squiid-calculator/squiid"
license = "GPL-3.0"
authors = [
    "Connor Sample <tabulatejarl8@gmail.com>",
    "Finian Wright <turbowafflz@gmail.com>",
]
build = "build.rs"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
crossterm = "0.28.1"
directories = "6.0.0"
ratatui = "0.29.0"
serde = { version = "1.0.217", features = ["derive"] }
serde_json = "1.0.134"
squiid-engine = { path = "./squiid-engine" }
squiid-parser = { path = "./squiid-parser" }
toml = "0.8.19"
unicode-width = "0.2.0"

[target.'cfg(target_os = "windows")'.build-dependencies]
winresource = "0.1.19"

[profile.release]
strip = "symbols"
lto = true
